From: Bruno Ethvignot <bruno@tlk.biz>
Date: Sat, 21 Mar 2015 19:50:41 +0100
Subject: bouncer restriction

---
 src/controller_paddles.cc | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/src/controller_paddles.cc b/src/controller_paddles.cc
index b9f1706..35a12b1 100644
--- a/src/controller_paddles.cc
+++ b/src/controller_paddles.cc
@@ -57,8 +57,15 @@ controller_paddles::controller_paddles ()
       width_maxi = 32 * resolution;
       width_mini = 32 * resolution;
       bottom_y_coord = (232 - 8) * resolution;
-      min_coordinate = 16 * resolution;
-      max_coordinate = 300 * resolution;
+      min_coordinate = 16;
+      if (resolution == 1)
+        {
+          max_coordinate = 303; 
+        }
+      else 
+        {
+          max_coordinate = 622; 
+        }
     }
  else
     {
